<div class="w-auto h-auto">
    <p-card>
     
        <div class="flex align-items-stretch flex-wrap card-container blue-container">
            <div class="flex align-items-center justify-content-center m-2">
                <mat-form-field color="accent" class="example-form-field" appearance="outline">
                    <mat-label>วันเริ่มต้น</mat-label>
                    <input matInput [matDatepicker]="picker1" [(ngModel)]="sdateCreate" (click)="picker1.open()" (ngModelChange)="onDateSelected()">
                    <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                    <mat-datepicker #picker1></mat-datepicker>
                </mat-form-field>
            </div>
            <div class="flex align-items-center justify-content-center m-2">
                <mat-form-field color="accent" class="example-form-field" appearance="outline">
                    <mat-label>วันสิ้นสุด</mat-label>
                    <input matInput [matDatepicker]="picker2" [(ngModel)]="edateCreate" (click)="picker2.open()" (ngModelChange)="onDateSelected()">
                    <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                    <mat-datepicker #picker2></mat-datepicker>
                </mat-form-field>
            </div>
            <div class="flex align-items-center justify-content-center m-2 mt-0">
                <button pButton type="button" [disabled]="!validateForm" class="button-success" (click)="onSearchCreate()" icon="pi pi-search" label ="ค้นหา"></button>

            </div>
          

        </div>
     
        <!-- <div class="grid">
            <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4"> -->
                <p-table #dtCreate [value]="rowsDataCreate"  [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                [rowHover]="true" [rows]="100" [showCurrentPageReport]="true" [rowsPerPageOptions]="[10,25,50,100]" [loading]="loadingCreate"
                [paginator]="true" currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ"
                [filterDelay]="0" [globalFilterFields]="['hn','first_name','last_name','to_hcode_name']" responsiveLayout="scroll"
                paginatorPosition="bottom"  [scrollable]="true" scrollHeight="{{scrollHeight}}"
                [virtualRowHeight]="6" [autoLayout]="true" [resizableColumns]="true" [style]="ptableStyle"
                frozenColumns="10" selectionMode="single" dblClickSelect="true" (onRowSelect)="onRowSelect($event)">
                    <ng-template pTemplate="caption">
                        <div class="table-header">
                            <div class="grid">
                                <div class="col">
                                    <div class="flex justify-content-start">
                                        <span class="text-center justify-content-center pt-2">รายการที่ส่งจาก HIS  รอส่งต่อ Smart Refer</span>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="flex justify-content-end">
                                        <span class="p-input-icon-right">
                                            <i class="pi pi-search"></i>
                                            <input pInputText class="p-inputtext-sm" type="text" (input)="dtCreate.filterGlobal($event.target.value, 'contains')" placeholder="ค้นหา..HN,ชื่อ,รพ." />
                                        </span>
                                    </div>
                                </div>                               
                            </div>                            
                        </div>
                    </ng-template>
                    <ng-template pTemplate="header">
                        <tr>
                            <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="ReferDate" style='flex: 0 0 150px;'>วันส่ง<p-sortIcon field="ReferDate"></p-sortIcon></th>
                            <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="ReferTime" style='flex: 0 0 150px;'>เวลา<p-sortIcon field="ReferTime"></p-sortIcon></th>
                            <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="an" >AN<p-sortIcon field="an"></p-sortIcon></th>
                            <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="nn">HN <p-sortIcon field="hn"></p-sortIcon></th>
                            <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="first_name"   style='flex: 0 0 330px;'>ชื่อ<p-sortIcon field="first_name"></p-sortIcon></th>
                            <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="location_name"  >คลินิก<p-sortIcon field="location_name"></p-sortIcon></th>
                            <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="to_hcode_name"  >สถานบริการ<p-sortIcon field="to_hcode_name"></p-sortIcon></th>
                            <th class="text-center justify-content-center pt-2 pb-2" pSortableColumn="refer_no_ket"  >สถานะส่งต่อ<p-sortIcon field="refer_no_ket"></p-sortIcon></th>

                        </tr>
                    </ng-template>
                    <ng-template pTemplate="body" let-rowsData>
                        <tr class="p-selectable-row" [pSelectableRow]="rowsData">
                            <td  class="text-center justify-content-center pt-2 pb-2" style='flex: 0 0 150px;'>
                                <span class="p-column-title">วันส่ง</span>
                                {{rowsData.ReferDate  | thaidate:'short'}}
                            </td>
                            <td  class="text-center justify-content-center pt-2 pb-2" style='flex: 0 0 150px;'>
                                <span class="p-column-title">เวลา</span>
                                {{rowsData.ReferTime}}
                            </td>
                            <td  class="text-center justify-content-center pt-2 pb-2">
                                <span class="p-column-title">AN</span>
                                {{rowsData.an}}
                            </td>
                            <td  class="pt-2 pb-2">
                                <span class="p-column-title">HN</span>
                                {{rowsData.hn}}
                            </td>
                            <td  class="pt-2 pb-2" style='flex: 0 0 330px;'>
                                <span class="p-column-title">ชื่อ</span>
                                {{rowsData.first_name}} {{rowsData.last_name}}
                            </td>
                            <td  class="pt-2 pb-2">
                                <span class="p-column-title">คลินิก</span>
                                {{rowsData.location_name}}
                            </td>
                            <td  class="pt-2 pb-2">
                                <span class="p-column-title">สถานบริการ</span>
                                {{rowsData.to_hcode_name}}
                            </td>
                            <td  class="pt-2 pb-2">
                                <span class="p-column-title">สถานะส่งต่อ</span>
                                {{rowsData.refer_no_ket}}
                            </td>

                        </tr>
                    </ng-template>
                    <ng-template pTemplate="emptymessage">
                        <tr>
                            <td colspan="8">ไม่มีรายการที่จะแสดง.</td>
                        </tr>
                    </ng-template>
                </p-table>
            <!-- </div>
        </div> -->
        <br /><br /><br /><br /><br />
    </p-card>
    
</div>
